Bug 1004777 - consumer status reports that its registered to a new server if you change the server without unregistering from another
consumer status reports that its registered to a new server if you change the...
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: consumers (Show other bugs)
2.2 Beta
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 09:06 EDT by Preethi Thomas
Modified: 2015-02-28 16:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 16:58:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 368 None None None Never

  None (edit)
Description Preethi Thomas 2013-09-05 09:06:59 EDT
Description of problem:

If you register a consumer to a server and then change the server in consumer.conf and restart the agent, pulp-consumer status shows that it is registered to the new server when actually it is not.

Version-Release number of selected component (if applicable):
[root@rhel5-pulp ~]# rpm -q pulp-consumer-client
pulp-consumer-client-2.2.0-0.32.beta.el5
[root@rhel5-pulp ~]# 


How reproducible:


Steps to Reproduce:
1.Register a consumer to server A
2. Edit consumer.conf and change the server to Server B
3. Restart pulp-agent
4. Run pulp-consumer status 
5. See that the message says it is registered to Server B

But if you check on server B you can see that it is not.

Actual results:


Expected results:


Additional info:
Comment 1 Chris Duryee 2014-11-11 22:23:32 EST
This is still the case as of pulp 2.4.3.

$ pulp-consumer  status
This consumer is registered to the server [pulp.example.com] with the ID [testconsumer].

<edit /etc/pulp/consumer/consumer.conf to point to new-hostname.example.com>
<restart goferd>

$ pulp-consumer  status
This consumer is registered to the server [new-hostname.example.com] with the ID [testconsumer].

Maybe the hostname could be read from the issuer field in /etc/pki/pulp/consumer/consumer-cert.pem?
Comment 2 Brian Bouterse 2015-02-28 16:58:15 EST
Moved to https://pulp.plan.io/issues/368

Note You need to log in before you can comment on or make changes to this bug.